//////////////////////////////////////////////////////////////////////////////
//Copyright (C) 2011 Christos Christodoulopoulos

//This library is free software; you can redistribute it and/or
//modify it under the terms of the GNU Lesser General Public
//License as published by the Free Software Foundation; either
//version 3 of the License, or (at your option) any later version.

//This library is distributed in the hope that it will be useful,
//but WITHOUT ANY WARRANTY; without even the implied warranty of
//MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//GNU Lesser General Public License for more details.

//You should have received a copy of the GNU Lesser General Public
//License along with this program; if not, write to the Free Software
//Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

package edinburgh.ccg.util;

import javax.swing.JTextArea;

public class Logger {
	
	private boolean sysOut;
	private JTextArea area;
	
	public Logger(JTextArea area){
		sysOut = false;
		this.area = area;
	}
	
	public Logger(){
		sysOut = true;
	}
	
	public void print(String str){
		if (sysOut) System.out.print(str);
		else area.append(str);
	}
	
	public void println(String str){
		if (sysOut) System.out.println(str);
		else area.append(str+"\n");
	}
}
